/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-07-19 13:39:33
 * @LastEditors: shimnx
 * @LastEditTime: 2023-02-17 16:25:26
 */
import { Gantt } from '@bryntum/gantt/gantt.lite.umd.js';

export class MyGantt extends Gantt {
    addSubtask(taskRecord) {
        console.log(taskRecord)
        // if the task is not assigned to a person then add the subtask
        if (!taskRecord.resources.length) {
            const result = this.addTask(taskRecord, { asChild: true });

            this.toggleCollapse(taskRecord, false);
            return result;
        }
    }
}
