/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-12-21 15:01:20
 * @LastEditors: shimnx
 * @LastEditTime: 2022-10-28 11:41:24
 */
import { TaskModel } from '@bryntum/gantt/gantt.lite.umd.js';

// here you can extend our default Task class with your additional fields, methods and logic
export default class Task extends TaskModel {

    static get $name() {
        return 'Task';
    }

    static get fields() {
        return [
            { name : 'deadline', type : 'date' },
            { name : 'status', type : 'string',defaultValue:'' },
        ];
    }

    get isLate() {
        return this.deadline && Date.now() > this.deadline;
    }

    // get status() {

    //     // if (this.isCompleted) {
    //     //     status = 'Doing';
    //     // }
    //     // else if (this.endDate < Date.now()) {
    //     //     status = 'Done';
    //     // }
    //     // else if (this.isStarted) {
    //     //     status = 'Cancelled';
    //     // }

    //     return this._data.status;
    // }
}
